Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class ActionUtils

    java.lang.Object
      org.jboss.soa.esb.actions.ActionUtils

    public class ActionUtils

extends java.lang.Object

Contains utility methods for actions

Since:
  Version 4.0
Author:
  schifest@heuristica.com.ar

Field Summary
`static java.lang.String` | `POST_ACTION_DATA` Deprecated.
`static java.lang.String` | `PRE_ACTION_DATA` Deprecated.

Constructor Summary
`ActionUtils()`

Method Summary
`static void` | `copyCurrentToPrevious(Message message)` Deprecated. use BEFORE_ACTION and CURRENT_ACTION instead.
`static NotificationList` | `getNotifyList(ConfigTree tree, java.lang.String type)`
`static java.lang.Object` | `getTaskBeforeObject(Message message)` Deprecated. use get(BEFORE_ACTION) on Body instead.
`static java.lang.Object` | `getTaskObject(Message message)` Deprecated. use get(POST_ACTION_DATA) on Body instead.
`static java.lang.Object` | `setTaskObject(Message message, java.lang.Object obj)` Deprecated. use set(POST_ACTION_DATA) instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRE_ACTION_DATA

    @Deprecated
    public static final java.lang.String PRE_ACTION_DATA

  Deprecated.
  See Also:
    Constant Field Values

### POST_ACTION_DATA

    @Deprecated
    public static final java.lang.String POST_ACTION_DATA

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### ActionUtils

    public ActionUtils()

Method Detail

### getTaskObject

    public static java.lang.Object getTaskObject(Message message)

  Deprecated. use get(POST_ACTION_DATA) on Body instead.

  Obtain the current object from standard spot within message

  Parameters:
    `message` - - from where to obtain the 'current object'
  Returns:
    Object stored in Body with key ActionProcessor.POST_ACTION_DATA

### getTaskBeforeObject

    public static java.lang.Object getTaskBeforeObject(Message message)

  Deprecated. use get(BEFORE_ACTION) on Body instead.

  Obtain previous 'current object' from standard spot within message

  Parameters:
    `message` - - from where to obtain the value
  Returns:
    Object stored in Body with key ActionProcessor.BEFORE_ACTION

### copyCurrentToPrevious

    public static void copyCurrentToPrevious(Message message)

  Deprecated. use BEFORE_ACTION and CURRENT_ACTION instead.

  Copy 'current object' to a temporary holder within message

  Parameters:
    `message` -

### setTaskObject

    public static java.lang.Object setTaskObject(Message message,
                                                 java.lang.Object obj)

  Deprecated. use set(POST_ACTION_DATA) instead.

  Put current object in standard spot within message
  NULL values are not stored

  Parameters:
    `message` - - to operate on
    `obj` - - Object to store - Won't be stored if <null>
  Returns:
    Object previous 'current object'

### getNotifyList

    public static NotificationList getNotifyList(ConfigTree tree,
                                                 java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD